Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.describeprocess
Class InputDescription

    java.lang.Object
      org.deegree.ogcwebservices.wps.WPSDescription
          org.deegree.ogcwebservices.wps.describeprocess.InputDescription

    public class InputDescription

extends WPSDescription

InputDescription.java Created on 09.03.2006. 22:33:58h Description of an input to a process.

Version:
  $Revision: 18195 $, $Date:20.03.2007$
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author:wanhoff$

Field Summary
`protected SupportedCRSs` | `boundingBoxData` Indicates that this input shall be a BoundingBox data structure that is embedded in the execute request, and provides a list of the CRSs supported for this Bounding Box.
`protected ComplexData` | `complexData` Indicates that this input shall be a complex data structure (such as a GML document), and provides a list of formats and encodings supported for this Input.
`protected LiteralInput` | `literalData` Indicates that this input shall be a simple numeric value or character string that is embedded in the execute request, and describes the possible values.
`protected int` | `minimumOccurs` The minimum number of times that values for this parameter are required.

Fields inherited from class org.deegree.ogcwebservices.wps.WPSDescription
`_abstract, identifier, title`

Constructor Summary
`InputDescription(Code identifier, String title, String _abstract, SupportedCRSs boundingBoxData, ComplexData complexData, LiteralInput literalData, int occurs)`

Method Summary
`SupportedCRSs` | `getBoundingBoxData()`
`ComplexData` | `getComplexData()`
`LiteralInput` | `getLiteralData()`
`int` | `getMinimumOccurs()`
`boolean` | `isBoundingBoxData()`
`boolean` | `isComplexData()`
`boolean` | `isLiteralData()`
`void` | `setBoundingBoxData(SupportedCRSs value)`
`void` | `setComplexData(ComplexData value)`
`void` | `setLiteralData(LiteralInput value)`
`void` | `setMinimumOccurs(int value)`

Methods inherited from class org.deegree.ogcwebservices.wps.WPSDescription
`getAbstract, getIdentifier, getTitle, setAbstract, setIdentifier, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### complexData

    protected ComplexData complexData

  Indicates that this input shall be a complex data structure (such as a GML document), and provides a list of formats and encodings supported for this Input. The value of this ComplexData structure can be input either embedded in the Execute request or remotely accessible to the server. This element also provides a list of formats, encodings, and schemas supported for this output. The client can select from among the identified combinations of formats, encodings, and schemas to specify the form of the output. This allows for complete specification of particular versions of GML, or image formats.

### literalData

    protected LiteralInput literalData

  Indicates that this input shall be a simple numeric value or character string that is embedded in the execute request, and describes the possible values.

### boundingBoxData

    protected SupportedCRSs boundingBoxData

  Indicates that this input shall be a BoundingBox data structure that is embedded in the execute request, and provides a list of the CRSs supported for this Bounding Box.

### minimumOccurs

    protected int minimumOccurs

  The minimum number of times that values for this parameter are required. If MinimumOccurs is "0", this data input is optional. If MinimumOccurs is "1" or if this element is omitted, this process input is required.

Constructor Detail

### InputDescription

    public InputDescription(Code identifier,
                            String title,
                            String _abstract,
                            SupportedCRSs boundingBoxData,
                            ComplexData complexData,
                            LiteralInput literalData,
                            int occurs)

Parameters:
  `identifier` -
  `title` -
  `_abstract` -
  `boundingBoxData` -
  `complexData` -
  `literalData` -
  `occurs` -

Method Detail

### getComplexData

    public ComplexData getComplexData()

  Returns:
    Returns the complexData.

### setComplexData

    public void setComplexData(ComplexData value)

  Parameters:
    `value` - The complexData to set.

### getLiteralData

    public LiteralInput getLiteralData()

  Returns:
    Returns the literalData.

### setLiteralData

    public void setLiteralData(LiteralInput value)

  Parameters:
    `value` - The literalData to set.

### getBoundingBoxData

    public SupportedCRSs getBoundingBoxData()

  Returns:
    Returns the boundingBoxData.

### setBoundingBoxData

    public void setBoundingBoxData(SupportedCRSs value)

  Parameters:
    `value` - The boundingBoxData to set.

### getMinimumOccurs

    public int getMinimumOccurs()

  Returns:
    Returns the minimumOccurs.

### setMinimumOccurs

    public void setMinimumOccurs(int value)

  Parameters:
    `value` - The minimumOccurs to set.

### isBoundingBoxData

    public boolean isBoundingBoxData()

  Returns:
    true if the data contains a bbox

### isComplexData

    public boolean isComplexData()

  Returns:
    true if the data is complex

### isLiteralData

    public boolean isLiteralData()

  Returns:
    true if the data is a literal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org